# Interface BimChangeLayerMetadata

Represents strongly typed metadata for a layer.

interface BimChangeLayerMetadata {
_system: { layer: { attachedToId: string; format: string } };
[key: string]: any;
}

#### Hierarchy (View Summary)

- BimChangeBaseMetadata
  - BimChangeLayerMetadata

#### Indexable

- [key: string]: any

##### Index

### Properties

_system

## Properties

### `Readonly`_system

_system: { layer: { attachedToId: string; format: string } }

System metadata

#### Type declaration

- ##### `Readonly` layer: { attachedToId: string; format: string }

  System metadata for layer

  - ##### `Readonly` attachedToId: string

    Id of change this layer is attached to

  - ##### `Readonly` format: string

    Format of change. Example: `sensors`